LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 01-11-2012, 08:15 PM   #1
MPPhoto
LQ Newbie
 
Registered: Jan 2008
Posts: 4

Rep: Reputation: 0
can't use yum or preupgrade


[root@MPressPhotoDT edwin]# preupgrade-cli
Traceback (most recent call last):
File "/usr/share/preupgrade/preupgrade-cli.py", line 34, in <module>
from cli import *
File "/usr/share/yum-cli/cli.py", line 29, in <module>
import rpm
File "/usr/lib64/python2.7/site-packages/rpm/__init__.py", line 9, in <module>
from rpm._rpm import *
ImportError: /usr/lib64/librpm.so.2: file too short
[root@MPressPhotoDT edwin]# preupgrade-cli
Traceback (most recent call last):
File "/usr/share/preupgrade/preupgrade-cli.py", line 34, in <module>
from cli import *
File "/usr/share/yum-cli/cli.py", line 29, in <module>
import rpm
File "/usr/lib64/python2.7/site-packages/rpm/__init__.py", line 9, in <module>
from rpm._rpm import *
ImportError: /usr/lib64/librpm.so.2: file too short
[root@MPressPhotoDT edwin]# rm -f /var/lib/rpm/__db*
[root@MPressPhotoDT edwin]# rpm –rebuilddb
rpm: error while loading shared libraries: /usr/lib64/librpm.so.2: file too short
[root@MPressPhotoDT edwin]# yum clean all
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

/usr/lib64/librpm.so.2: file too short

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.1 (r271:86832, Apr 12 2011, 16:15:16)
[GCC 4.6.0 20110331 (Red Hat 4.6.0-2)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://yum.baseurl.org/wiki/Faq

Last edited by MPPhoto; 01-11-2012 at 08:21 PM.
 
Old 01-11-2012, 10:06 PM   #2
coolsg5636
Member
 
Registered: Sep 2011
Location: Pune,India
Distribution: RHEL ,CentOS, Fedora
Posts: 100

Rep: Reputation: 25
What exactly are you trying to do here?

Are you trying to upgrade fedora from one major release to another ? e.g. Fedora 15 to 16
 
1 members found this post helpful.
Old 01-12-2012, 12:22 PM   #3
MPPhoto
LQ Newbie
 
Registered: Jan 2008
Posts: 4

Original Poster
Rep: Reputation: 0
Trying to upgrade to F16 from to F15
 
Old 01-12-2012, 05:17 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 13,031

Rep: Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740
??? upgrade form 16 to the older 15 ????

or is that a typo ?

If 15 to 16
it looks like you change the version of python
yum REQUIRES the SPECIFIC version that is in the fedora updates repo

however seeing as SO MANY things have changed in 16 a fresh clean install is recomended

reformat to ext4 and install 16 on a clean drive .


for every fedora upgrade PREPARE for a new clean install
try the preuprgaed ( it is getting better) but expect to do a clean install .

Last edited by John VV; 01-12-2012 at 05:19 PM.
 
1 members found this post helpful.
Old 01-13-2012, 11:19 AM   #5
tux-junkie
Member
 
Registered: Jan 2005
Location: Atlanta, GA
Distribution: Debian, Fedora
Posts: 35

Rep: Reputation: 0
I had the same problem. I had to use a new disc and do a fresh install.
 
Old 01-13-2012, 12:19 PM   #6
coolsg5636
Member
 
Registered: Sep 2011
Location: Pune,India
Distribution: RHEL ,CentOS, Fedora
Posts: 100

Rep: Reputation: 25
Even If you are trying to downgrade your operating system for some reason(which has to be pretty good) , you should go for a fresh install as suggested by John.
 
Old 01-17-2012, 01:46 PM   #7
MPPhoto
LQ Newbie
 
Registered: Jan 2008
Posts: 4

Original Poster
Rep: Reputation: 0
Trying to upgrade to F16 from to F15[/QUOTE]

I decided to order f16 x64 disc.
thank u
 
Old 01-17-2012, 01:49 PM   #8
MPPhoto
LQ Newbie
 
Registered: Jan 2008
Posts: 4

Original Poster
Rep: Reputation: 0
I decided to get a F16 x64 disc
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Not able to distro-sync after preupgrade from Fedora 13 to Fedora 14 (Yum dependency problem) prudhivisekhar Fedora 2 10-07-2011 02:27 AM
yum install flash ... yum: command not found ... which yum ... /usr/bin/yum tg3793 Fedora 8 04-13-2011 11:25 AM
[SOLVED] preupgrade from limux 12 to 13 - rmknox Linux - Newbie 2 11-07-2010 01:06 AM
FC 8 to FC 9------help is needed for using preupgrade abhattacharya Fedora 2 05-27-2008 12:03 AM
fedora 9 through preupgrade---how???? abhattacharya Fedora 1 05-25-2008 01:30 PM


All times are GMT -5. The time now is 10:57 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration